import type { ITrieNode, ITrieNodeRoot } from '../ITrieNode/ITrieNode.js';
import type { PartialTrieInfo, TrieInfo } from '../ITrieNode/TrieInfo.js';
import type { TrieData } from '../TrieData.js';
import { type FastTrieBlobBitMaskInfo } from './FastTrieBlobBitMaskInfo.js';
import { FastTrieBlobInternals } from './FastTrieBlobInternals.js';
import { TrieBlob } from './TrieBlob.js';
export declare class FastTrieBlob implements TrieData {
    private nodes;
    private charIndex;
    readonly bitMasksInfo: FastTrieBlobBitMaskInfo;
    private charToIndexMap;
    private _readonly;
    private _forbidIdx;
    private _iTrieRoot;
    readonly info: Readonly<TrieInfo>;
    private constructor();
    private lookUpCharIndex;
    has(word: string): boolean;
    private _has;
    words(): Iterable<string>;
    toTrieBlob(): TrieBlob;
    isReadonly(): boolean;
    freeze(): this;
    static create(data: FastTrieBlobInternals, options?: PartialTrieInfo): FastTrieBlob;
    static toITrieNodeRoot(trie: FastTrieBlob): ITrieNodeRoot;
    static NodeMaskEOW: number;
    static NodeChildRefShift: number;
    static NodeMaskChildCharIndex: number;
    static DefaultBitMaskInfo: FastTrieBlobBitMaskInfo;
    get iTrieRoot(): ITrieNodeRoot;
    getRoot(): ITrieNodeRoot;
    getNode(prefix: string): ITrieNode | undefined;
    isForbiddenWord(word: string): boolean;
    hasForbiddenWords(): boolean;
    /** number of nodes */
    get size(): number;
    private _lookupChar;
}
//# sourceMappingURL=FastTrieBlob.d.ts.map