function isProgress(v) {
    if (!v || typeof v !== 'object')
        return false;
    return v.type === 'progress';
}
export function collectSuggestions(sugGen, maxCost = 300, numSugs = 10) {
    const sugs = new Set();
    const sugMap = new Map();
    for (let n = sugGen.next(maxCost); !n.done; n = sugGen.next(maxCost)) {
        const sug = n.value;
        if (!sug || isProgress(sug) || sug.cost > maxCost)
            continue;
        const pref = sugMap.get(sug.word);
        if (pref && pref.cost <= sug.cost)
            continue;
        if (pref) {
            sugs.delete(pref);
        }
        sugMap.set(sug.word, sug);
        sugs.add(sug);
        if (sugs.size > numSugs) {
            const sorted = [...sugs].sort(compare);
            maxCost = sorted.slice(0, -1).reduce((a, b) => Math.max(a, b.cost), 0);
            sugs.delete(sorted[sorted.length - 1]);
        }
    }
    return [...sugs].sort(compare);
    function compare(a, b) {
        return a.cost - b.cost;
    }
}
